> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.propexo.com/api-reference/yardi-rest/leases/get-all-leases/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server. # Get all leases GET https://api.propexo.com/v1/leases/ Get all leases Reference: https://docs.propexo.com/api-reference/yardi-rest/leases/get-all-leases ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.propexo.com` (Production, default) - `https://api.sandbox.propexo.com` (Sandbox) ## Request ### Query parameters - `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc - `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z) - `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z) - `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results - `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query - `x_id` (string, optional) — The external lease id - `x_property_id` (string, optional) — Deprecated: Use the Propexo property_id instead - `x_unit_id` (string, optional) — Deprecated: Use the Propexo unit_id instead - `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations. - `unit_id` (string, optional) — The Propexo unique identifier for the unit - `resident_id` (string, optional) — The Propexo unique identifier for the resident. If you use this filter in conjunction with one of the move-in/move-out date filters, it will not be honored and will be overridden by the date filter. - `property_id` (string, optional) — The Propexo unique identifier for the property - `integration_id` (string, optional) — The Propexo unique identifier for the integration - `before_move_in_date` (string, optional, nullable) — Filter to residents moving in before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `after_move_in_date` (string, optional, nullable) — Filter to residents moving in after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `before_move_out_date` (string, optional, nullable) — Filter to residents moving out before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `after_move_out_date` (string, optional, nullable) — Filter to residents moving out after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record. - `only_null_move_outs` (V1LeasesGetParametersOnlyNullMoveOuts, optional) — Filter to only return leases where the move-out date is null - `integration_vendor` (enum, optional) — The property management system of record - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST` - `status_normalized` (enum, optional) — The normalized status for the lease - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED` - `status_raw` (string, optional) — The raw status associated with the lease - `unit_number` (string, optional) — The unit number of the lease. When using this, the Propexo `property_id` filter must be added as well. ## Response ### 200 Successful response - `meta` (ResponseMeta, required) - `results` (list of Lease, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (ErrorResponseError, required) ## Types ### V1LeasesGetParametersOnlyNullMoveOuts Filter to only return leases where the move-out date is null ### ResponseMeta - `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results - `offset` (integer, optional) — The offset of the first result - `limit` (integer, optional) — The number of results to return - `hasMore` (boolean, optional, nullable) — Whether there are more results - `total` (integer, optional) — The total number of results ### Lease - `id` (string, required) — The Propexo unique identifier for the lease - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS - `x_id` (string, required) — The external ID from the integration vendor | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | | /ItfResidentData/GetResidentData | Common Data | - `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | | /ItfResidentData/GetResidentData | Common Data | - `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `application_date` (any, required) — The application date associated with the leaseThis field will always be null for YARDI\_REST - `custom_data` (LeaseCustomData, required, nullable) - `deposit_amount` (any, required) — The deposit amount associated with the leaseThis field will always be null for YARDI\_REST - `deposit_amount_in_cents` (any, required) — The deposit amount in cents associated with the leaseThis field will always be null for YARDI\_REST - `deposit_date` (any, required) — The deposit date associated with the leaseThis field will always be null for YARDI\_REST - `end_date` (string, required, nullable) — The end date associated with the lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `rent_amount_market_in_cents` (double, required, nullable) — The market rent amount in cents for the lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `rent_due_day` (integer, required, nullable) — The rent due day associated with the leaseHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | Interface | | -------------------------------- | ----------- | | /ItfResidentData/GetResidentData | Common Data | - `rent_due_date` (any, required) — The rent due date associated with the leaseThis field will always be null for YARDI\_REST - `signature_date` (string, required, nullable) — The date the lease was signedHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | Interface | | -------------------------------- | ----------- | | /ItfResidentData/GetResidentData | Common Data | - `start_date` (string, required, nullable) — The start date associated with the lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `status_normalized` (enum, required) — The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS. | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - Allowed values: `ACTIVE`, `INACTIVE`, `OTHER`, `PENDING`, `EVICTED` - `status_raw` (string, required, nullable) — The raw status associated with the lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `term` (any, required) — The lease termThis field will always be null for YARDI\_REST - `type` (string, required, nullable) — The type of lease | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `unit_number` (string, required, nullable) — The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases. | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `write_off_amount_in_cents` (any, required) — The write off amount for the lease, in centsThis field will always be null for YARDI\_REST - `write_off_amount_raw` (any, required) — The raw write off amount of the lease from the PMSThis field will always be null for YARDI\_REST - `balance_amount_in_cents` (any, required) — The balance amount for the lease, in centsThis field will always be null for YARDI\_REST - `balance_amount_raw` (any, required) — The raw balance amount of the lease from the PMSThis field will always be null for YARDI\_REST - `past_due_balance_in_cents` (any, required) — The past due balance for the lease, in centsThis field will always be null for YARDI\_REST - `past_due_balance_raw` (any, required) — The raw past due balance of the lease from the PMSThis field will always be null for YARDI\_REST - `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `property_id` (string, required) — The Propexo unique identifier for the property - `integration_id` (string, required) — The Propexo unique identifier for the integration - `integration_vendor` (enum, required) — The property management system of record - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI` - `services` (list of LeaseServicesItems, required) — List of services related to the leaseThis field is not currently hydrated for YARDI\_REST - `x_resident_id` (string, required, nullable, deprecated) — Deprecated. Use residents_meta_data instead | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `realized_move_in_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `realized_move_out_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move out dates | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `scheduled_move_in_date` (string, required, nullable, deprecated) — DEPRECATED: Please use residents_meta_data to view resident move in dates | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `scheduled_move_out_date` (any, required, deprecated) — DEPRECATED: Please use residents\_meta\_data to view resident move out datesDeprecated - Use residents\_to\_leases.move\_out\_dateThis field will always be null for YARDI\_REST - `status` (string, required, nullable, deprecated) — DEPRECATED. Use status\_normalizedDeprecated in favor of status\_normalized and status\_raw | Method | Interface | | ----------------------------- | ----------- | | /ItfResidentData/GetResidents | Common Data | - `residents_meta_data` (list of LeaseResidentsMetaDataItems, optional) — Known associated resident meta data ### ErrorResponseError - `code` (string, required) - `message` (string, required) - `details` (map from string to any, optional) ### ResponseMetaOrderByItems ### LeaseCustomData ### LeaseServicesItems - `id` (string, required) — The Propexo unique identifier for the lease service - `created_at` (string, required) — The date record first entered Propexo - `updated_at` (string, required) — The date record was last updated in Propexo - `last_seen` (string, required) — The date the record was last seen from the PMS - `name` (string, required) — The name of the lease serviceThis field is not currently hydrated for YARDI\_REST - `lease_id` (string, required) — The Propexo unique identifier for the leaseThis field is not currently hydrated for YARDI\_REST ### LeaseResidentsMetaDataItems - `resident_id` (string, required) — The Propexo unique identifier for the resident | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `x_resident_type` (string, required, nullable) — The external type of the resident from the integration vendor | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `resident_type_normalized` (LeaseResidentsMetaDataItemsResidentTypeNormalized, required, nullable) — Resident type from Propexo | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `move_in_date` (string, required, nullable) — The move-in date associated with the resident | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `move_out_date` (string, required, nullable) — The move-out date associated with the resident | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `notice_date` (string, required, nullable) — The date the resident gave notice | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | - `custom_data` (LeaseResidentsMetaDataItemsCustomData, required, nullable) - `last_seen` (string, required, nullable) — The date the record was last seen from the PMS ### LeaseResidentsMetaDataItemsResidentTypeNormalized Resident type from Propexo | Method | Interface | |---|---| | /ItfResidentData/GetResidents | Common Data | ### LeaseResidentsMetaDataItemsCustomData ## Examples **Response** ```json { "meta": { "orderBy": [ {} ], "offset": 0, "limit": 100, "hasMore": true, "total": 1000 }, "results": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "x_id": "t0172032", "x_property_id": "3299", "x_unit_id": "101", "application_date": null, "custom_data": {}, "deposit_amount": null, "deposit_amount_in_cents": null, "deposit_date": null, "end_date": "2024-04-30T00:00:00.000Z", "rent_amount_in_cents": 90000, "rent_amount_market_in_cents": 90000, "rent_due_day": 1, "rent_due_date": null, "signature_date": "2023-12-27T00:00:00.000Z", "start_date": "2023-05-01T00:00:00.000Z", "status_normalized": "PENDING", "status_raw": "Future", "term": null, "type": "Residential", "unit_number": "101", "write_off_amount_in_cents": null, "write_off_amount_raw": null, "balance_amount_in_cents": null, "balance_amount_raw": null, "past_due_balance_in_cents": null, "past_due_balance_raw": null, "unit_id": "cmj92hecy2986129914pbus5mtvde1i", "property_id": "clwi5xiix000008l6ctdgafyh", "integration_id": "clwh5u07w000508me66sfh3um", "integration_vendor": "YARDI_REST", "services": [ { "id": "clwktsp9v000008l31iv218hn", "created_at": "2024-03-21T15:38:08.337Z", "updated_at": "2024-03-22T10:59:45.119Z", "last_seen": "2024-03-22T10:59:45.119Z", "name": "string", "lease_id": "string" } ], "x_resident_id": "string", "realized_move_in_date": "string", "realized_move_out_date": "string", "scheduled_move_in_date": "string", "scheduled_move_out_date": null, "status": "string", "residents_meta_data": [ { "resident_id": "cm2dtz59900028loz202w0o33", "x_resident_type": "Resident", "resident_type_normalized": "PRIMARY", "move_in_date": "2023-12-27T00:00:00.000Z", "move_out_date": "2021-07-14T00:00:00.000Z", "notice_date": "2021-07-14T00:00:00.000Z", "custom_data": {}, "last_seen": "2024-03-22T10:59:45.119Z" } ] } ] } ``` **SDK Code** ```python import requests url = "https://api.propexo.com/v1/leases/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.propexo.com/v1/leases/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.propexo.com/v1/leases/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.propexo.com/v1/leases/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.propexo.com/v1/leases/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.propexo.com/v1/leases/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.propexo.com/v1/leases/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```